"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
exports.useHover = function (onHover) {
    var element = react_1.useRef(null);
    react_1.useEffect(function () {
        var current = element.current;
        if (current)
            current.addEventListener("mouseenter", onHover);
        return function () {
            if (current)
                current.removeEventListener("mouseenter", onHover);
        };
    }, [onHover]);
    return element;
};
